LibreOffice LibreOffice 24.2 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XInternalDataProvider Interface Reference

An internal DataProvider that has more access to data than a plain DataProvider. More...

`import <XInternalDataProvider.idl;`

Inheritance diagram for XInternalDataProvider:

## Public Member Functions
boolean | hasDataByRangeRepresentation ([in] string aRange)
sequence< any > | getDataByRangeRepresentation ([in] string aRange)
void | setDataByRangeRepresentation ([in] string aRange, [in] sequence< any > aNewData)
void | insertSequence ([in] long nAfterIndex)
void | deleteSequence ([in] long nAtIndex)
void | appendSequence ()
| same as insertSequence with nAfterIndex being the largest current index of the data, i.e.
void | insertDataPointForAllSequences ([in] long nAfterIndex)
void | deleteDataPointForAllSequences ([in] long nAtIndex)
void | swapDataPointWithNextOneForAllSequences ([in] long nAtIndex)
void | registerDataSequenceForChanges ([in] com::sun::star::chart2::data::XDataSequence xSeq)
| If range representations of data sequences change due to internal structural changes, they must be registered at the data provider.
void | insertComplexCategoryLevel ([in] long nLevel)
| insert an additional sequence for categories nLevel>=1; categories at level 0 are always present and cannot be inserted or deleted
void | deleteComplexCategoryLevel ([in] long nLevel)
| deletes an additional sequence for categories at nLevel>=1; categories at level 0 are always present and cannot be deleted
Public Member Functions inherited from XDataProvider
boolean | createDataSourcePossible ([in] sequence< com::sun::star::beans::PropertyValue > aArguments)
| If `TRUE` is returned, a call to createDataSource with the same arguments must return a valid XDataSequence object.
XDataSource | createDataSource ([in] sequence< com::sun::star::beans::PropertyValue > aArguments) raises ( com::sun::star::lang::IllegalArgumentException )
| Creates a data source object that matches the given range representation string.
sequence< com::sun::star::beans::PropertyValue > | detectArguments ([in] XDataSource xDataSource)
| Tries to find out with what parameters the passed DataSource most probably was created.
boolean | createDataSequenceByRangeRepresentationPossible ([in] string aRangeRepresentation)
| If `TRUE` is returned, a call to createDataSequenceByRangeRepresentation with the same argument must return a valid XDataSequence object.
XDataSequence | createDataSequenceByRangeRepresentation ([in] string aRangeRepresentation) raises ( com::sun::star::lang::IllegalArgumentException )
| creates a single data sequence for the given data range.
XDataSequence | createDataSequenceByValueArray ([in] string aRole, [in] string aValueArray, [in] string aRoleQualifier) raises ( com::sun::star::lang::IllegalArgumentException )
| Creates a single data sequence from the string value array representation.
com::sun::star::sheet::XRangeSelection | getRangeSelection ()
| Returns a component that is able to change a given range representation to another one.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

An internal DataProvider that has more access to data than a plain DataProvider.

## Member Function Documentation

## ◆ appendSequence()

void appendSequence | ( |  | ) |

same as insertSequence with nAfterIndex being the largest current index of the data, i.e.

(size - 1)

## ◆ deleteComplexCategoryLevel()

void deleteComplexCategoryLevel | ( | [in] long | nLevel | ) |

deletes an additional sequence for categories at nLevel>=1; categories at level 0 are always present and cannot be deleted

Since
  OOo 3.3

## ◆ deleteDataPointForAllSequences()

void deleteDataPointForAllSequences | ( | [in] long | nAtIndex | ) |

## ◆ deleteSequence()

void deleteSequence | ( | [in] long | nAtIndex | ) |

## ◆ getDataByRangeRepresentation()

sequence< any > getDataByRangeRepresentation | ( | [in] string | aRange | ) |

## ◆ hasDataByRangeRepresentation()

boolean hasDataByRangeRepresentation | ( | [in] string | aRange | ) |

## ◆ insertComplexCategoryLevel()

void insertComplexCategoryLevel | ( | [in] long | nLevel | ) |

insert an additional sequence for categories nLevel>=1; categories at level 0 are always present and cannot be inserted or deleted

Since
  OOo 3.3

## ◆ insertDataPointForAllSequences()

void insertDataPointForAllSequences | ( | [in] long | nAfterIndex | ) |

## ◆ insertSequence()

void insertSequence | ( | [in] long | nAfterIndex | ) |

Note
  Note that -1 is allowed as the sequence is inserted after the given index. So to insert a sequence as the new first sequence (index 0), you would pass -1 here.

## ◆ registerDataSequenceForChanges()

void registerDataSequenceForChanges | ( | [in] com::sun::star::chart2::data::XDataSequence | xSeq | ) |

If range representations of data sequences change due to internal structural changes, they must be registered at the data provider.

Sequences that are directly retrieved via the methods of the XDataProvider interface are already registered. If a labeled data sequence was created by cloning an existing one, it has to be explicitly registered via this method.

## ◆ setDataByRangeRepresentation()

void setDataByRangeRepresentation | ( | [in] string | aRange,
|  | [in] sequence< any > | aNewData )

## ◆ swapDataPointWithNextOneForAllSequences()

void swapDataPointWithNextOneForAllSequences | ( | [in] long | nAtIndex | ) |

The documentation for this interface was generated from the following file:

- com/sun/star/chart2/XInternalDataProvider.idl